#!/usr/bin/python3

import ucammap
import logging
logging.basicConfig(level=logging.INFO)

database = ucammap.API()

results = database.search(q = 'computing')

for result in results:
    print(result.full_name())
    if result.info:
        for k in result.info_keys():
            print("  " + k.capitalize() + ":")
            for i in result.filtered_info(k):
                print("     ", i.value)
    print()


